文生视频
方法: POST路径: /vidu/v2/text2video
具体参数请看官方文档: https://platform.vidu.cn/docs/text-to-video
请求参数
Header 参数
text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}Body 参数 application/json
text
model
string
必需
images
array
[string]
必需
prompt
string
必需
duration
integer
必需
seed
integer
必需
resolution
string
必需
movement_amplitude
string
必需
off_peak
boolean
必需
示例
{
"model"
:
"viduq2-pro"
,
"images"
:
[
"https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/image2video.png"
]
,
"prompt"
:
"The astronaut waved and the camera moved up."
,
"duration"
:
5
,
"seed"
:
0
,
"resolution"
:
"720p"
,
"movement_amplitude"
:
"auto"
,
"off_peak"
:
false
}请求示例代码
Shell
bash
curl --location --request POST '/vidu/v2/text2video' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "viduq2-pro",
"images": ["https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/image2video.png"],
"prompt": "The astronaut waved and the camera moved up.",
"duration": 5,
"seed": 0,
"resolution": "720p",
"movement_amplitude": "auto",
"off_peak": false
}'返回响应
🟢 200 成功
内容类型: application/json
响应结构
text
object示例
json
{
"task_id": "885482446060003328",
"type": "img2video",
"state": "created",
"model": "viduq2-pro",
"style": "general",
"prompt": "The astronaut waved and the camera moved up.",
"images": [
"https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/image2video.png"
],
"duration": 5,
"seed": 1283649749,
"aspect_ratio": "",
"resolution": "720p",
"movement_amplitude": "auto",
"created_at": "2025-11-10T15:03:01.749836088Z",
"credits": 55,
"payload": "",
"cus_priority": 0,
"off_peak": false,
"watermark": false,
"is_rec": false,
"wm_position": "unspecified",
"wm_url": "",
"meta_data": ""
}